function InOrOut = inOutBoundary(Mask, ~, AdditionalParams)
%INOUTBOUNDARY check if the object's centroid falls into the mask
filterMask = AdditionalParams.filterMask;
objectposition = regionpropsArrayBurrito(Mask,'Centroid');
for i = 1:length(objectposition)
    InOrOut(i) = ~filterMask(round(objectposition{i}(2)),round(objectposition{i}(1)))>0;
end
InOrOut = double(InOrOut)';