function objectPairs = pairObjectsbyDistance(NucleiNum, MicroNucleiNum, PositionMatrix, distThres)
allpairMicro2Nuc = [];
for iS = 1:length(MicroNucleiNum)
    currPositionS = PositionMatrix{MicroNucleiNum(iS)};
    for iB = 1:length(NucleiNum);
        currPositionB = PositionMatrix{NucleiNum(iB)};
        distances(iB) = pdist([currPositionS;currPositionB]);
    end
    [MaxD, whichD] = min(distances);
    if MaxD <= distThres
        currentpairMicro2Nuc(1,1) = MicroNucleiNum(iS);
        currentpairMicro2Nuc(1,2) = NucleiNum(whichD);
        allpairMicro2Nuc = [allpairMicro2Nuc; currentpairMicro2Nuc];
    end
end
objectPairs = reversePairs(allpairMicro2Nuc, NucleiNum);
    
        
