function arrayoutput = regionpropsArrayBurrito(mask, input1, input2)
%REGIONPROPSARRAYBURRITO is a wrapper funtion for regionprops so that the
%output is cell or arry.

if nargin == 2
    propN = input1;
    propStrut = regionprops(mask, propN);
elseif nargin == 3
    propN = input2;
    Image = input1;
    propStrut = regionprops(mask,Image, propN);
end

if isscalar(propStrut(1).(propN))
    arrayoutput = double([propStrut.(propN)]');
else
arrayoutput = {propStrut.(propN)}';
end

%allfun{i} = @(L)(RPB(L, propName(i)));
