function ringMeanIntensity = ringMeanIntensitiesCalc(Mask, Image)
% RINGMEANINTENSITIESCALC calculates the mean intensities in the ring of
% each objects. the input mask has to be labeled.
for i = 1:max(Mask(:))
    %get the object mask
    objectMask = Mask == i;
    % set the two radii
    r1 = 1;
    r2 = 4;
    % feed the whole mask, object mask, intensity, r1 and r2 into the per
    % object processing function.
    ringMeanIntensity(i) = getPerObjectRingIntensity(Mask, objectMask, Image, r1, r2);
end
