function [goodobjectPairs, badobjectPairs, goodobjectPairsMicroNucPairs] = separateObjectPairs(objectPairs, FilteredNucleiNum)
%SEPARATEOBJECTPAIRS separate the original object pairs into two chunks.
goodobjectPairs = cell(1, length(FilteredNucleiNum)); badobjectPairs = cell(1, length(objectPairs)-length(FilteredNucleiNum));
goodobjectPairsMicroNucPairs = cell(0);
goodpaircount = 1; badpaircount = 1; gpairwithMicroNuc = 1;
for i = 1: length(objectPairs)
    if ismember(double(objectPairs{i}{1}), double(FilteredNucleiNum))
        goodobjectPairs{1, goodpaircount} = objectPairs{i};
        goodpaircount = goodpaircount+1;
        if ~isempty(objectPairs{i}{2})
        goodobjectPairsMicroNucPairs{1, gpairwithMicroNuc} = objectPairs{i};
        gpairwithMicroNuc = gpairwithMicroNuc +1;
        end
    else
        badobjectPairs{1, badpaircount} = objectPairs{i};
        badpaircount = badpaircount+1;
    end
end

