function wirtePropertyCSVforObjectPairsforUrineSpots(objectPairs, MPropsC, filePath, fileHeader)
%WIRTEPROPERTYCSVFOROBJECTPAIRSFORURINESPOTS prints .CSV files for each property of each
%objectPair in maskObjectBinning step, doesn't have to be for Urine Spot count. 
%Input includes the objectPairs in
%cellarrys of structs, MPropsC object storing all property infos, and
%filePath. fileHeader is left in this function because maskObjectPairing
%needs multiple sheet to be printed. fileHeader is to distinguish each of
%them.
fileID = fopen([filePath,filesep,fileHeader,'Paired_Object_Properties.csv'], 'w');
%fileIDCount = fopen([filePath,filesep,fileHeader,'Paired_Object_Count.csv'], 'w');
HeaderFlag = 0;
for i1 = 1:length(objectPairs) %multiple images in one channel
    
        currPairs = objectPairs{i1};
        [nucCol, MicroNucCol, MicroNucColCSV, PNucNum, NumOfMicroNuc] = populatecolumnsForUrine(currPairs);
        ThresholdableMatrix = MPropsC.Results(i1).thresholdableMatrix;
        ThresholdableMatrix = ThresholdableMatrix(MicroNucCol,:);
        if ~isempty(ThresholdableMatrix) && HeaderFlag ~= 2
            HeaderFlag = 1;
        end
        if HeaderFlag == 1
            fprintf(fileID, 'Image Number, Bin Number, Urine Spots Number,');

            %fprintf(fileIDCount, 'Image Number, Bin Number, Urine Spots Number,\n');
            %formatSpecCount = '%d, %d, %d, \n';
            % make formatSpec
            formatSpec = '%d, %d, %d,';
            %[~, ThresholdableProps] = MPropsC.getThresholdableResults;
            ThresholdableProps = MPropsC.Results(i1).thresholdableProps;
            for i3 = 1:length(ThresholdableProps)
                fprintf(fileID, [ThresholdableProps{i3},',']);
                formatSpec = [formatSpec, '%f,'];
            end
            formatSpec = [formatSpec, '\n'];
            HeaderFlag = 2;
            fprintf(fileID, '\n');
        end
        ImageNumber = i1*ones(size(nucCol));
        MatrixtoWrite = [double(ImageNumber),double(nucCol),double(MicroNucColCSV),ThresholdableMatrix];
        if ~isempty(MatrixtoWrite)
        fprintf(fileID,formatSpec,MatrixtoWrite');
        fprintf(fileID, '\n');
        end
%         MatrixtoWrite = [];
%         ThresholdableMatrix = [];
%         ImageNumberForCounting = i1*ones(size(PNucNum));
%         MatrixtoWriteForCounting = [double(ImageNumberForCounting);double(PNucNum);double(NumOfMicroNuc)]';
%         if ~isempty(MatrixtoWriteForCounting)
%         fprintf(fileIDCount,formatSpecCount,MatrixtoWriteForCounting');
%         else
%             fprintf(fileIDCount, '\n');
%         end
end