function newMask = binMasks(currMask, NumObject)
%BINMASKS takes in a labeled mask and relabel each object into new labels
%according to the cellarry input NumObject

newMask = zeros(size(currMask));
for i = 1:length(NumObject) % number of bins = length of NumObject cellarray
    objInd = NumObject{i};
    tmp = ismember(currMask,objInd);
    newMask(tmp) = i;
end