function  Currformfactor = circularityCalc(Mask)
currProps = regionprops(Mask, 'Area', 'Perimeter');
areas = arrayfun(@(x) x.Area, currProps);
perims = arrayfun(@(x) x.Perimeter, currProps);
Currformfactor = (areas.*4.*pi)./(perims.^2);
end