function Dist = distanceToEdge(Mask,~,AdditionalParams)
%DISTANCETOEDGE reads the distance from the distancemap at the object
%location.
distanceMap = AdditionalParams.distanceMap;Dist = zeros(1, max(Mask(:)));
objectposition = regionpropsArrayBurrito(Mask,'Centroid');
for i = 1:length(objectposition)
    Dist(i) = distanceMap(round(objectposition{i}(2)),round(objectposition{i}(1)));
    % convert this thing into actual units.
end
Dist = Dist';