function VolumesbyArea = liquidVolumeByArea(Mask, ~, AdditionalParams)
% LIQUIDVOLUMEBYAREA calculates the estimated volume from area.
currProps = regionprops(Mask, 'Area', 'Perimeter');
areas = arrayfun(@(x) x.Area, currProps);
VolumesbyArea = areas.*AdditionalParams.volumePerMMSQ;