function objectPairs = pairObjectbyDistanceTransform(NucMask, currPosition, NucleiNum, MicroNucleiNum, distThres)
% inputs: two labeled masks % outputs: objectPairs{iChan}{iImage}
% to replace the upper section
[dx,L] = bwdist(NucMask);
allpairMicro2Nuc = [];
MicroNucCentroid = currPosition(MicroNucleiNum);
for i = 1:length(MicroNucCentroid)
    currInd = round(MicroNucCentroid{i});
    closestPix = L(currInd(2), currInd(1));
    closestInd = NucMask(closestPix);
    closestDist = dx(currInd(2), currInd(1));
    if closestDist <= distThres
        currentpairMicro2Nuc(1,1) = MicroNucleiNum(i);
        currentpairMicro2Nuc(1,2) = closestInd;
        allpairMicro2Nuc = [allpairMicro2Nuc; currentpairMicro2Nuc];
    end
end
objectPairs = reversePairs(allpairMicro2Nuc, NucleiNum);